#!/usr/bin/python

################################################################
#                                                              #
# Blue Team Training Toolkit (BT3)                             #
# written by Juan J. Guelfo @ Encripto AS                      #
# post@encripto.no                                             #
#                                                              #
# Copyright 2013-2016 Encripto AS. All rights reserved.        #
#                                                              #
# BT3 is licensed under the FreeBSD license.                   #
# http://www.freebsd.org/copyright/freebsd-license.html        #
#                                                              #
################################################################


import random, string


def generate_body(size=100, chars=string.ascii_uppercase +  string.ascii_lowercase):
    return ''.join(random.choice(chars) for _ in range(size))


class Info:

    def __init__(self):
        self.author          = "Juan J. Guelfo @ Encripto AS"
        self.description     = "Upatre banking trojan profile."
        self.license         = "FreeBSD - http://www.freebsd.org/copyright/freebsd-license.html"
        self.references      = "http://www.symantec.com/content/en/us/enterprise/media/security_response/whitepapers/dyre-emerging-threat.pdf"
        

class Request:

    def __init__(self):
        self.method          = "GET"
        self.URI             = ["/mandoc/juntet.pdf"]
        self.body            = ""
        self.headers         = [{"field" : "Accept",          "value" : "text/*, application/*"},
                                {"field" : "User-Agent",      "value" : "Mozilla/5.0"},
                                {"field" : "Host",            "value" : "bilalhussain.com"},
                                {"field" : "Cache-Control",   "value" : "no-cache"}]


class Response:

    def __init__(self):
        self.code            = "200"
        self.banner          = "nginx/1.6.2"
        self.body            = "%s" % generate_body(random.randint(500, 1000))
        self.headers         = [{"field" : "Content-type",   "value" : "application/pdf"},
                                {"field" : "Content-Length", "value" : "461868"},
                                {"field" : "Connection",     "value" : "keep-alive"},
                                {"field" : "Last-Modified",  "value" : "Tue, 24 Feb 2015 18:53:40 GMT"},
                                {"field" : "Accept-Ranges",  "value" : "bytes"}]


class Network:

    def __init__(self):
        self.protocol        = "HTTP/1.1"
        self.encoding        = "bin"
        self.delay           = "3"
        self.jitter          = "0"


class Profile:

    def __init__(self):
        self.info     = Info()
        self.request  = Request()
        self.response = Response()
        self.network  = Network()
        

